package hexchat-plugins 2.12.0-2ubuntu2 failed to install/upgrade: trying to overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/hexchat-plugin.pc', which is also in package hexchat 2.10.2-1ubuntu3

Bug #1586239 reported by cariboo on 2016-05-27
62
This bug affects 12 people
Affects Status Importance Assigned to Milestone
hexchat (Ubuntu)
High
Mattia Rizzolo
Yakkety
High
Mattia Rizzolo
Zesty
High
Mattia Rizzolo

Bug Description

[Impact]

 * updating hexchat-plugins from xenial to yakkety (or to zesty, fwiw)
   plainly fails with a "trying to overwrite" dpkg error

[Test Case]

 In xenial chroot:
 * apt install hexchat hexchat-plugins
 * sed -e s/xenial/yakkety/g /etc/apt/sources.list
 * apt update
 * apt install hexchat hexchat-plugins
 => fail

[Regression Potential]

 * can't really see any.

Original bug report follows:

I have YAkkety proposed enabled.

ProblemType: Package
DistroRelease: Ubuntu 16.10
Package: hexchat-plugins 2.12.0-2ubuntu2
ProcVersionSignature: Ubuntu 4.4.0-23.41-generic 4.4.10
Uname: Linux 4.4.0-23-generic x86_64
ApportVersion: 2.20.1-0ubuntu4
Architecture: amd64
Date: Wed May 25 18:07:59 2016
ErrorMessage: trying to overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/hexchat-plugin.pc', which is also in package hexchat 2.10.2-1ubuntu3
InstallationDate: Installed on 2016-04-22 (34 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
RelatedPackageVersions:
 dpkg 1.18.7ubuntu1
 apt 1.3~exp1
SourcePackage: hexchat
Title: package hexchat-plugins 2.12.0-2ubuntu2 failed to install/upgrade: trying to overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/hexchat-plugin.pc', which is also in package hexchat 2.10.2-1ubuntu3
UpgradeStatus: No upgrade log present (probably fresh install)

cariboo (cariboo) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in hexchat (Ubuntu):
status: New → Confirmed
Changed in hexchat (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
Trent Lloyd (lathiat) wrote :

Can confirm this here, on upgrade from xenial-proposed to yakkety-proposed.

The good news is, if you re-run the upgrade it works since the hexchat package gets unpacked afterwards. But obviously this needs to be fixed.

Unpacking hexchat-python (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...
Selecting previously unselected package hexchat-python3.
Preparing to unpack .../hexchat-python3_2.12.0-2ubuntu2_amd64.deb ...
Unpacking hexchat-python3 (2.12.0-2ubuntu2) ...
Preparing to unpack .../hexchat-perl_2.12.0-2ubuntu2_amd64.deb ...
Unpacking hexchat-perl (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...
Preparing to unpack .../hexchat-plugins_2.12.0-2ubuntu2_amd64.deb ...
Unpacking hexchat-plugins (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...
dpkg: error processing archive /var/cache/apt/archives/hexchat-plugins_2.12.0-2ubuntu2_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/hexchat-plugin.pc', which is also in package hexchat 2.10.2-1ubuntu3
Preparing to unpack .../hexchat_2.12.0-2ubuntu2_amd64.deb ...
Unpacking hexchat (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...
Preparing to unpack .../hexchat-common_2.12.0-2ubuntu2_all.deb ...
Unpacking hexchat-common (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...

It wasn't fixed for the yakkety release, I just got this problem while upgrading.

Mattia Rizzolo (mapreri) on 2016-11-28
Changed in hexchat (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → Mattia Rizzolo (mapreri)
status: Confirmed → In Progress
Mattia Rizzolo (mapreri) on 2016-11-28
Changed in hexchat (Ubuntu Yakkety):
assignee: nobody → Mattia Rizzolo (mapreri)
status: New → In Progress
Mattia Rizzolo (mapreri) on 2016-11-28
Changed in hexchat (Ubuntu Yakkety):
importance: Undecided → High
Changed in hexchat (Ubuntu Zesty):
importance: Undecided → High
Mattia Rizzolo (mapreri) wrote :

Attached what I'll upload to yakkety.

description: updated
Mattia Rizzolo (mapreri) on 2016-11-29
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hexchat - 2.12.3-0.1ubuntu2

---------------
hexchat (2.12.3-0.1ubuntu2) zesty; urgency=medium

  * Bump Breaks+Replaces of hexchat-plugins against hexchat.
    hexchat-plugin.pc has been moved after the main split, but the relationship
    has not been updated. LP: #1586239

 -- Mattia Rizzolo <email address hidden> Tue, 29 Nov 2016 01:03:36 +0100

Changed in hexchat (Ubuntu Zesty):
status: In Progress → Fix Released

Hello cariboo, or anyone else affected,

Accepted hexchat into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/hexchat/2.12.0-2ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in hexchat (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Mattia Rizzolo (mapreri) wrote :

yep, works, great.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hexchat - 2.12.0-2ubuntu2.1

---------------
hexchat (2.12.0-2ubuntu2.1) yakkety; urgency=medium

  * Bump Breaks+Replaces of hexchat-plugins against hexchat.
    hexchat-plugin.pc has been moved after the main split, but the relationship
    has not been updated. LP: #1586239

 -- Mattia Rizzolo <email address hidden> Mon, 28 Nov 2016 16:48:03 +0100

Changed in hexchat (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for hexchat has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers